org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.SubscriberStage

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.SubscriberStage
    extends Stage

A subscriber.

When built, the `CompletionStage` must emit `null` when the stream completes normally, or an error if the stream terminates with an error.

Implementing this will typically require inserting a handler before the subscriber that listens for errors.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.reactivestreams.Subscriber<?>` `getRsSubscriber()` The subscriber.

### Method Detail

#### getRsSubscriber

    org.reactivestreams.Subscriber<?> getRsSubscriber()

The subscriber.

Returns:
  The subscriber.